Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiRepair

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiContainer
                  net.minecraft.src.GuiRepair

All Implemented Interfaces:
  ICrafting

    public class GuiRepair

extends GuiContainer
implements ICrafting

Field Summary

Fields inherited from class net.minecraft.src.GuiContainer
`inventorySlots`

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiRepair(InventoryPlayer par1, World par2World, int par3, int par4, int par5)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `onGuiClosed()` Called when the screen is unloaded.
`void` | `sendContainerAndContentsToPlayer(Container par1Container, List par2List)`
`void` | `updateCraftingInventoryInfo(Container par1Container, int par2, int par3)` send information about the crafting inventory to the client(currently only for furnace times)
`void` | `updateCraftingInventorySlot(Container par1Container, int par2, ItemStack par3ItemStack)` inform the player of a change in a single slot

Methods inherited from class net.minecraft.src.GuiContainer
`doesGuiPauseGame, updateScreen`

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiRepair

    public GuiRepair(InventoryPlayer par1,
                     World par2World,
                     int par3,
                     int par4,
                     int par5)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiContainer`

### onGuiClosed

    public void onGuiClosed()

  Called when the screen is unloaded. Used to disable keyboard repeat events

  Overrides:
    `onGuiClosed` in class `GuiContainer`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiContainer`

### sendContainerAndContentsToPlayer

    public void sendContainerAndContentsToPlayer(Container par1Container,
                                                 List par2List)

  Specified by:
    `sendContainerAndContentsToPlayer` in interface `ICrafting`

### updateCraftingInventorySlot

    public void updateCraftingInventorySlot(Container par1Container,
                                            int par2,
                                            ItemStack par3ItemStack)

  inform the player of a change in a single slot

  Specified by:
    `updateCraftingInventorySlot` in interface `ICrafting`

### updateCraftingInventoryInfo

    public void updateCraftingInventoryInfo(Container par1Container,
                                            int par2,
                                            int par3)

  send information about the crafting inventory to the client(currently only for furnace times)

  Specified by:
    `updateCraftingInventoryInfo` in interface `ICrafting`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD